com.verisign.epp.serverstub

## Class AllocationTokenDomainHandler

- java.lang.Object
- - com.verisign.epp.framework.EPPDomainHandler
  - - com.verisign.epp.serverstub.DomainHandler
    - - com.verisign.epp.serverstub.AllocationTokenDomainHandler

- All Implemented Interfaces:
    EPPEventHandler

      public class AllocationTokenDomainHandler
      extends DomainHandler

  The `AllocationTokenDomainHandler` class extends `DomainHandler` to include handling the allocation token extension.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AllocationTokenDomainHandler()` Constructs an instance of AllocationTokenDomainHandler

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected EPPEventResponse` | `doDomainCheck(EPPEvent aEvent, java.lang.Object aData)` Override base handler `doDomainCheck` method and add handling of the Allocation Token Extension.
    `protected EPPEventResponse` | `doDomainCreate(EPPEvent aEvent, java.lang.Object aData)` Override base handler `doDomainCreate` method and add handling of the Allocation Token Extension.
    `protected EPPEventResponse` | `doDomainInfo(EPPEvent aEvent, java.lang.Object aData)` Override base handler `doDomainInfo` method and add handling of the Allocation Token Info Extension.
    `protected EPPEventResponse` | `doDomainTransfer(EPPEvent aEvent, java.lang.Object aData)` Override base handler `doDomainTransfer` method and add handling of the Allocation Token Extension.
    `protected EPPEventResponse` | `doDomainUpdate(EPPEvent aEvent, java.lang.Object aData)` Override base handler `doDomainUpdate` method and add handling of the Allocation Token Extension.
    `protected void` | `preHandleEvent(EPPEvent aEvent, java.lang.Object aData)` Will ensure that the namestore extension is provided.

    - ### Methods inherited from class com.verisign.epp.serverstub.DomainHandler

      `doDomainDelete, doDomainRenew, postHandleEvent`

    - ### Methods inherited from class com.verisign.epp.framework.EPPDomainHandler

      `getNamespace, handleEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AllocationTokenDomainHandler

          public AllocationTokenDomainHandler()

      Constructs an instance of AllocationTokenDomainHandler

  - ### Method Detail

    - #### preHandleEvent

          protected void preHandleEvent(EPPEvent aEvent,
                                        java.lang.Object aData)
                                 throws EPPHandleEventException

      Will ensure that the namestore extension is provided.
      Overrides:
        `preHandleEvent` in class `DomainHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPDomainHandler` This is assumed to be an instance of SessionData here.
      Throws:
        `EPPHandleEventException` - Thrown if an error condition occurs. It must contain an `EPPEventResponse`

    - #### doDomainCheck

          protected EPPEventResponse doDomainCheck(EPPEvent aEvent,
                                                   java.lang.Object aData)

      Override base handler `doDomainCheck` method and add handling of the Allocation Token Extension.
      Overrides:
        `doDomainCheck` in class `DomainHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPDomaindHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

    - #### doDomainInfo

          protected EPPEventResponse doDomainInfo(EPPEvent aEvent,
                                                  java.lang.Object aData)

      Override base handler `doDomainInfo` method and add handling of the Allocation Token Info Extension.
      Overrides:
        `doDomainInfo` in class `DomainHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPDomaindHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

    - #### doDomainCreate

          protected EPPEventResponse doDomainCreate(EPPEvent aEvent,
                                                    java.lang.Object aData)

      Override base handler `doDomainCreate` method and add handling of the Allocation Token Extension.
      Overrides:
        `doDomainCreate` in class `DomainHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPDomaindHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

    - #### doDomainUpdate

          protected EPPEventResponse doDomainUpdate(EPPEvent aEvent,
                                                    java.lang.Object aData)

      Override base handler `doDomainUpdate` method and add handling of the Allocation Token Extension.
      Overrides:
        `doDomainUpdate` in class `DomainHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPDomaindHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

    - #### doDomainTransfer

          protected EPPEventResponse doDomainTransfer(EPPEvent aEvent,
                                                      java.lang.Object aData)

      Override base handler `doDomainTransfer` method and add handling of the Allocation Token Extension.
      Overrides:
        `doDomainTransfer` in class `DomainHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPDomaindHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

Copyright © VeriSign Inc. All Rights Reserved.